Name:           krename
Version:        4.0.9
Release:        12%{?dist}
Summary:        Powerful batch file renamer
License:        GPLv2
URL:            http://www.krename.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
# use FREETYPE_INCLUDE_DIRS instead of obsolete internal FREETYPE_INCLUDE_DIR
Patch0:         krename-4.0.9-fix-freetype-includes.patch
# upstream fix for FindLIBPODOFO.cmake (SVN revision 239)
Patch100:       krename-4.0.9-fix-findlibpodofo.patch

BuildRequires:  kdelibs4-devel
BuildRequires:  taglib-devel
BuildRequires:  desktop-file-utils
BuildRequires:  exiv2-devel
BuildRequires:  gettext
BuildRequires:  freetype-devel
BuildRequires:  podofo-devel

%description
KRename is a powerful batch renamer for KDE. It allows you to easily rename
hundreds or even more files in one go. The filenames can be created by parts
of the original filename, numbering the files or accessing hundreds of
informations about the file, like creation date or Exif informations of an
image.


%prep
%setup -q
%patch0 -p1 -b .fix-freetype-includes
%patch100 -p0 -b .fix-findlibpodofo
for file in TODO; do
    iconv -f iso8859-1 -t utf8 $file > $file.utf8
    rm -rf $file
    mv $file.utf8 $file
done


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
make DESTDIR=%{buildroot} PREFIX=%{_prefix} -C %{_target_platform} install/fast
%find_lang %{name}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/krename.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
touch --no-create %{_datadir}/icons/locolor &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
touch --no-create %{_datadir}/icons/locolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/locolor &> /dev/null || :
fi

%posttrans
update-desktop-database -q &> /dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/locolor &> /dev/null || :


%files -f %{name}.lang
%doc AUTHORS COPYING README TODO
%{_kde4_bindir}/%{name}
%{_kde4_datadir}/applications/kde4/krename.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/*.desktop
%{_kde4_iconsdir}/hicolor/*/apps/%{name}.png
%{_kde4_iconsdir}/locolor/*/apps/%{name}.png


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Dec 03 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.0.9-10
- rebuild (exiv2)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 21 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.9-8
- apply upstream fix for FindLIBPODOFO.cmake

* Thu Mar 21 2013 Kevin Kofler <Kevin@tigcc.ticalc.org> 4.0.9-7
- BR: podofo-devel (for PDF support)
- clean up specfile further (remove more deprecated stuff)

* Mon Mar 18 2013 Radek Novacek <rnovacek@redhat.com> 4.0.9-6
- Fix FTBFS because of freetype includes
- Get rid of deprecated Buildroot and Group tags in spec
- Add BR: freetype-devel

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.0.9-3
- rebuild (exiv2)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jan 02 2012 Radek Novacek <rnovacek@redhat.com> 4.0.9-1
- Update to 4.0.9
- Drop patch for static init crash

* Fri Oct 14 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.0.7-3
- rebuild (exiv2)

* Wed Mar 16 2011 Radek Novacek <rnovacek@redhat.com> - 4.0.7-2
- Fixed crash on static initialization
- Resolves: #684908

* Fri Feb 25 2011 Radek Novacek <rnovacek@redhat.com> - 4.0.7-1
- Update to 4.0.7

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan 31 2011 Radek Novacek <rnovacek@redhat.com> - 4.0.6-1
- Update to 4.0.6

* Sun Jan 02 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.0.5-2
- rebuild (exiv2)

* Thu Sep 30 2010 Radek Novacek <rnovacek@redhat.com> 4.0.5-1
- Update to 4.0.5

* Wed Sep 29 2010 jkeating - 4.0.4-2
- Rebuilt for gcc bug 634757

* Mon Sep 13 2010 Radek Novacek <rnovacek@redhat.com> - 4.0.4-1
- Update to 4.0.4

* Mon May 31 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.0.1-3
- rebuild (exiv2)

* Mon Jan 03 2010 Rex Dieter <rdieter@fedoraproject.org> - 4.0.1-2 
- rebuild (exiv2)
- drop extraneous Req: hicolor-icon-theme
- update icon scriptlets

* Mon Oct 5 2009 Ben Boeckel <MathStuf@gmail.com> - 4.0.1-1
- Update to 4.0.1

* Tue Sep 29 2009 Ben Boeckel <MathStuf@gmail.com> - 4.0.0-1
- Update to KDE4 version

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 22 2008 Michał Bentkowski <mr.ecik at gmail.com> - 3.0.14-4
- Fix BR

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.0.14-3
- Autorebuild for GCC 4.3

* Fri Aug 24 2007 Michał Bentkowski <mr.ecik at gmail.com> - 3.0.14-2
- BuildID rebuild
- License tag fix

* Sat Apr 28 2007 Michał Bentkowski <mr.ecik at gmail.com> - 3.0.14-1
- Update to 3.0.14

* Thu Dec 21 2006 Michał Bentkowski <mr.ecik at gmail.com> - 3.0.13-2
- Fix encoding of ChangeLog and TODO files
- Fix desktop file issue
- Add %%post and %%postun sections
- Make %%{_datadir}/apps/konqueror owned by this package

* Tue Dec 19 2006 Michał Bentkowski <mr.ecik at gmail.com> - 3.0.13-1
- Initial package
